---
title: llarp::vpn::InterfaceAddress

---

# llarp::vpn::InterfaceAddress





## Public Functions

|                | Name           |
| -------------- | -------------- |
| constexpr | **[InterfaceAddress](Classes/structllarp_1_1vpn_1_1InterfaceAddress.md#function-interfaceaddress)**([IPRange](Classes/structllarp_1_1IPRange.md) r, int f =AF_INET) |
| bool | **[operator<](Classes/structllarp_1_1vpn_1_1InterfaceAddress.md#function-operator<)**(const [InterfaceAddress](Classes/structllarp_1_1vpn_1_1InterfaceAddress.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [IPRange](Classes/structllarp_1_1IPRange.md) | **[range](Classes/structllarp_1_1vpn_1_1InterfaceAddress.md#variable-range)**  |
| int | **[fam](Classes/structllarp_1_1vpn_1_1InterfaceAddress.md#variable-fam)**  |

## Public Functions Documentation

### function InterfaceAddress

```cpp
inline constexpr InterfaceAddress(
    IPRange r,
    int f =AF_INET
)
```


### function operator<

```cpp
inline bool operator<(
    const InterfaceAddress & other
) const
```


## Public Attributes Documentation

### variable range

```cpp
IPRange range;
```


### variable fam

```cpp
int fam;
```


-------------------------------

Updated on 2022-09-10 at 18:17:15 +0000